/**
 * @template {API.MultihashDigest} Key
 * @template Value
 * @implements {Map<Key, Value>}
 */
export class DigestMap<Key extends API.MultihashDigest<number>, Value> implements Map<Key, Value> {
    /**
     * @param {Array<[Key, Value]>} [entries]
     */
    constructor(entries?: [Key, Value][] | undefined);
    clear(): void;
    /**
     * @param {Key} key
     * @returns {boolean}
     */
    delete(key: Key): boolean;
    /**
     * @param {(value: Value, key: Key, map: Map<Key, Value>) => void} callbackfn
     * @param {any} [thisArg]
     */
    forEach(callbackfn: (value: Value, key: Key, map: Map<Key, Value>) => void, thisArg?: any): void;
    /**
     * @param {Key} key
     * @returns {Value|undefined}
     */
    get(key: Key): Value | undefined;
    /**
     * @param {Key} key
     * @returns {boolean}
     */
    has(key: Key): boolean;
    /**
     * @param {Key} key
     * @param {Value} value
     */
    set(key: Key, value: Value): this;
    /** @returns {number} */
    get size(): number;
    /** @returns {IterableIterator<[Key, Value]>} */
    entries(): IterableIterator<[Key, Value]>;
    /** @returns {IterableIterator<Key>} */
    keys(): IterableIterator<Key>;
    /** @returns {IterableIterator<Value>} */
    values(): IterableIterator<Value>;
    get [Symbol.toStringTag](): string;
    /** @returns */
    [Symbol.iterator](): IterableIterator<[Key, Value]>;
    #private;
}
import * as API from './api.js';
//# sourceMappingURL=digest-map.d.ts.map